<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Under Water Drone: Plik źródłowy gnuplot_link.hh</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Under Water Drone
   &#160;<span id="projectnumber">0.1</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Wygenerowano przez Doxygen 1.8.17 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('../../',false,false,'search.php','Szukaj');
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('d8/d35/gnuplot__link_8hh_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="headertitle">
<div class="title">gnuplot_link.hh</div>  </div>
</div><!--header-->
<div class="contents">
<a href="../../d8/d35/gnuplot__link_8hh.html">Idź do dokumentacji tego pliku.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="preprocessor">#pragma once</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160; </div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="preprocessor">#include &lt;list&gt;</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="preprocessor">#include &lt;string&gt;</span></div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="preprocessor">#include &lt;vector&gt;</span></div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160; </div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="preprocessor">#ifdef __GNUG__</span></div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="preprocessor">#pragma interface</span></div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#endif</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160; </div>
<div class="line"><a name="l00024"></a><span class="lineno"><a class="line" href="../../d2/d4b/namespace_pz_g.html">   24</a></span>&#160;<span class="keyword">namespace </span><a class="code" href="../../d2/d4b/namespace_pz_g.html">PzG</a> {</div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160; </div>
<div class="line"><a name="l00041"></a><span class="lineno"><a class="line" href="../../d2/d4b/namespace_pz_g.html#a4360c76a1dbf714a19a0d97fe56e0660">   41</a></span>&#160;<span class="keyword">enum</span> <a class="code" href="../../d2/d4b/namespace_pz_g.html#a4360c76a1dbf714a19a0d97fe56e0660">DrawingMode</a> { <a class="code" href="../../d2/d4b/namespace_pz_g.html#a4360c76a1dbf714a19a0d97fe56e0660ac85b6f8146edb5ca2df8345dd86ef039">DM_2D</a>,</div>
<div class="line"><a name="l00042"></a><span class="lineno"><a class="line" href="../../d2/d4b/namespace_pz_g.html#a4360c76a1dbf714a19a0d97fe56e0660aa7ef207217913b87d83fdf559d8368c7">   42</a></span>&#160;                   <a class="code" href="../../d2/d4b/namespace_pz_g.html#a4360c76a1dbf714a19a0d97fe56e0660aa7ef207217913b87d83fdf559d8368c7">DM_3D</a> };</div>
<div class="line"><a name="l00048"></a><span class="lineno"><a class="line" href="../../d2/d4b/namespace_pz_g.html#ab0580cdb6bfe9e51d7de2588bc824076af8f97c84dadf8eaa1f0370861e15dfec">   48</a></span>&#160;<span class="keyword">enum</span> <a class="code" href="../../d2/d4b/namespace_pz_g.html#ab0580cdb6bfe9e51d7de2588bc824076">LineStyle</a> { <a class="code" href="../../d2/d4b/namespace_pz_g.html#ab0580cdb6bfe9e51d7de2588bc824076af8f97c84dadf8eaa1f0370861e15dfec">LS_CONTINUOUS</a>,</div>
<div class="line"><a name="l00049"></a><span class="lineno"><a class="line" href="../../d2/d4b/namespace_pz_g.html#ab0580cdb6bfe9e51d7de2588bc824076a6495216b6a84a9fbe7141a687f9c03f1">   49</a></span>&#160;                 <a class="code" href="../../d2/d4b/namespace_pz_g.html#ab0580cdb6bfe9e51d7de2588bc824076a6495216b6a84a9fbe7141a687f9c03f1">LS_SCATTERED</a> };</div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160; </div>
<div class="line"><a name="l00057"></a><span class="lineno"><a class="line" href="../../d4/d97/class_pz_g_1_1_file_info.html">   57</a></span>&#160;<span class="keyword">class </span><a class="code" href="../../d4/d97/class_pz_g_1_1_file_info.html">FileInfo</a> {</div>
<div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;   <span class="keyword">public</span>:</div>
<div class="line"><a name="l00065"></a><span class="lineno"><a class="line" href="../../d4/d97/class_pz_g_1_1_file_info.html#a09603738e0fbc8d6dadda905a5e947d7">   65</a></span>&#160;    <a class="code" href="../../d4/d97/class_pz_g_1_1_file_info.html#a09603738e0fbc8d6dadda905a5e947d7">FileInfo</a>(std::string filename, <a class="code" href="../../d2/d4b/namespace_pz_g.html#ab0580cdb6bfe9e51d7de2588bc824076">LineStyle</a> style, <span class="keywordtype">int</span> width) {</div>
<div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;        <a class="code" href="../../d4/d97/class_pz_g_1_1_file_info.html#a04f77a755e72bcf379844b15d9f0f3ed">filename_</a> = filename;</div>
<div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;        <a class="code" href="../../d4/d97/class_pz_g_1_1_file_info.html#a9141a03aee9840ebe103e4b1b6fa5c9b">style_</a> = style;</div>
<div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;        <a class="code" href="../../d4/d97/class_pz_g_1_1_file_info.html#a1a1d3ea502a2604eec731ca50a2b438f">width_</a> = width;</div>
<div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;    }</div>
<div class="line"><a name="l00075"></a><span class="lineno"><a class="line" href="../../d4/d97/class_pz_g_1_1_file_info.html#a25d23a5d9986ebb89edbd01185a26f10">   75</a></span>&#160;    <span class="keyword">const</span> std::string <a class="code" href="../../d4/d97/class_pz_g_1_1_file_info.html#a25d23a5d9986ebb89edbd01185a26f10">GetFilename</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> <a class="code" href="../../d4/d97/class_pz_g_1_1_file_info.html#a04f77a755e72bcf379844b15d9f0f3ed">filename_</a>; }</div>
<div class="line"><a name="l00081"></a><span class="lineno"><a class="line" href="../../d4/d97/class_pz_g_1_1_file_info.html#a02c728f892c6f169b738adac8ed9d5f1">   81</a></span>&#160;    <span class="keywordtype">void</span> <a class="code" href="../../d4/d97/class_pz_g_1_1_file_info.html#a02c728f892c6f169b738adac8ed9d5f1">SetFilename</a>(<span class="keyword">const</span> std::string &amp;filename) { <a class="code" href="../../d4/d97/class_pz_g_1_1_file_info.html#a04f77a755e72bcf379844b15d9f0f3ed">filename_</a> = filename; }</div>
<div class="line"><a name="l00087"></a><span class="lineno"><a class="line" href="../../d4/d97/class_pz_g_1_1_file_info.html#aa8a3328daf9365064a98a0dc67f128b8">   87</a></span>&#160;    <a class="code" href="../../d2/d4b/namespace_pz_g.html#ab0580cdb6bfe9e51d7de2588bc824076">LineStyle</a> <a class="code" href="../../d4/d97/class_pz_g_1_1_file_info.html#aa8a3328daf9365064a98a0dc67f128b8">GetStyle</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> <a class="code" href="../../d4/d97/class_pz_g_1_1_file_info.html#a9141a03aee9840ebe103e4b1b6fa5c9b">style_</a>; }</div>
<div class="line"><a name="l00093"></a><span class="lineno"><a class="line" href="../../d4/d97/class_pz_g_1_1_file_info.html#a336ec97881b709c3bf01d2f27c124e78">   93</a></span>&#160;    <span class="keywordtype">int</span> <a class="code" href="../../d4/d97/class_pz_g_1_1_file_info.html#a336ec97881b709c3bf01d2f27c124e78">GetWidth</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> <a class="code" href="../../d4/d97/class_pz_g_1_1_file_info.html#a1a1d3ea502a2604eec731ca50a2b438f">width_</a>; }</div>
<div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160; </div>
<div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;   <span class="keyword">private</span>:</div>
<div class="line"><a name="l00101"></a><span class="lineno"><a class="line" href="../../d4/d97/class_pz_g_1_1_file_info.html#a04f77a755e72bcf379844b15d9f0f3ed">  101</a></span>&#160;    std::string <a class="code" href="../../d4/d97/class_pz_g_1_1_file_info.html#a04f77a755e72bcf379844b15d9f0f3ed">filename_</a>;</div>
<div class="line"><a name="l00108"></a><span class="lineno"><a class="line" href="../../d4/d97/class_pz_g_1_1_file_info.html#a1a1d3ea502a2604eec731ca50a2b438f">  108</a></span>&#160;    <span class="keywordtype">int</span> <a class="code" href="../../d4/d97/class_pz_g_1_1_file_info.html#a1a1d3ea502a2604eec731ca50a2b438f">width_</a>;</div>
<div class="line"><a name="l00114"></a><span class="lineno"><a class="line" href="../../d4/d97/class_pz_g_1_1_file_info.html#a9141a03aee9840ebe103e4b1b6fa5c9b">  114</a></span>&#160;    <a class="code" href="../../d2/d4b/namespace_pz_g.html#ab0580cdb6bfe9e51d7de2588bc824076">LineStyle</a> <a class="code" href="../../d4/d97/class_pz_g_1_1_file_info.html#a9141a03aee9840ebe103e4b1b6fa5c9b">style_</a>;</div>
<div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;};</div>
<div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160; </div>
<div class="line"><a name="l00125"></a><span class="lineno"><a class="line" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html">  125</a></span>&#160;<span class="keyword">class </span><a class="code" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html">GnuplotLink</a> {</div>
<div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;   <span class="keyword">protected</span>:</div>
<div class="line"><a name="l00135"></a><span class="lineno"><a class="line" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#af4b03524d7d1ccb3f09524217048ef5d">  135</a></span>&#160;    <span class="keyword">static</span> std::list&lt;FileInfo&gt; <a class="code" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#af4b03524d7d1ccb3f09524217048ef5d">files_information_</a>;</div>
<div class="line"><a name="l00136"></a><span class="lineno">  136</span>&#160; </div>
<div class="line"><a name="l00141"></a><span class="lineno"><a class="line" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a8b04a557aacb13f62a46bd0cd1233119">  141</a></span>&#160;    <span class="keywordtype">int</span> <a class="code" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a8b04a557aacb13f62a46bd0cd1233119">gnuplot_input_</a>;</div>
<div class="line"><a name="l00146"></a><span class="lineno"><a class="line" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a3ba099cef3e84aab2d3d0f7e99661cca">  146</a></span>&#160;    <span class="keywordtype">int</span> <a class="code" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a3ba099cef3e84aab2d3d0f7e99661cca">gnuplot_output_</a>;</div>
<div class="line"><a name="l00156"></a><span class="lineno"><a class="line" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#adefdb7c360e54c586b1d6bd1fa5c6eee">  156</a></span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#adefdb7c360e54c586b1d6bd1fa5c6eee">display_error_messages_</a>;</div>
<div class="line"><a name="l00157"></a><span class="lineno">  157</span>&#160; </div>
<div class="line"><a name="l00167"></a><span class="lineno"><a class="line" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#afe3cae0470049aee3c7350f488a630b6">  167</a></span>&#160;    <a class="code" href="../../d2/d4b/namespace_pz_g.html#a4360c76a1dbf714a19a0d97fe56e0660">DrawingMode</a> <a class="code" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#afe3cae0470049aee3c7350f488a630b6">drawing_mode_</a>;</div>
<div class="line"><a name="l00173"></a><span class="lineno"><a class="line" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a9ca081e311914fb07ee4c292b8090247">  173</a></span>&#160;    <span class="keywordtype">float</span> <a class="code" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a9ca081e311914fb07ee4c292b8090247">x_min_</a>;</div>
<div class="line"><a name="l00179"></a><span class="lineno"><a class="line" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a1f8870f0cc643c5ef931b30b40b5e282">  179</a></span>&#160;    <span class="keywordtype">float</span> <a class="code" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a1f8870f0cc643c5ef931b30b40b5e282">x_max_</a>;</div>
<div class="line"><a name="l00185"></a><span class="lineno"><a class="line" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a31c8d2fcb350d54d09134c0f0a838aea">  185</a></span>&#160;    <span class="keywordtype">float</span> <a class="code" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a31c8d2fcb350d54d09134c0f0a838aea">y_min_</a>;</div>
<div class="line"><a name="l00191"></a><span class="lineno"><a class="line" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a9fb5609ee05da82c3a5c9f94416c1ac1">  191</a></span>&#160;    <span class="keywordtype">float</span> <a class="code" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a9fb5609ee05da82c3a5c9f94416c1ac1">y_max_</a>;</div>
<div class="line"><a name="l00197"></a><span class="lineno"><a class="line" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a3a92421a06513241d150ec36eedcfb70">  197</a></span>&#160;    <span class="keywordtype">float</span> <a class="code" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a3a92421a06513241d150ec36eedcfb70">z_min_</a>;</div>
<div class="line"><a name="l00203"></a><span class="lineno"><a class="line" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#ad16243c88647f80c0f69a6d04021dbf7">  203</a></span>&#160;    <span class="keywordtype">float</span> <a class="code" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#ad16243c88647f80c0f69a6d04021dbf7">z_max_</a>;</div>
<div class="line"><a name="l00208"></a><span class="lineno"><a class="line" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a725cf4ed098148a0e9b10ed94023757a">  208</a></span>&#160;    <span class="keywordtype">float</span> <a class="code" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a725cf4ed098148a0e9b10ed94023757a">x_scale_</a>;</div>
<div class="line"><a name="l00213"></a><span class="lineno"><a class="line" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a9926edcec6c7080a35f62c050f2773dc">  213</a></span>&#160;    <span class="keywordtype">float</span> <a class="code" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a9926edcec6c7080a35f62c050f2773dc">z_scale_</a>;</div>
<div class="line"><a name="l00218"></a><span class="lineno"><a class="line" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#ae105dcd466bbc10f0b70ed753e0c2e4e">  218</a></span>&#160;    <span class="keywordtype">float</span> <a class="code" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#ae105dcd466bbc10f0b70ed753e0c2e4e">x_rotation_</a>;</div>
<div class="line"><a name="l00223"></a><span class="lineno"><a class="line" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#ae7ae9a0985b545d636908deb232f716c">  223</a></span>&#160;    <span class="keywordtype">float</span> <a class="code" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#ae7ae9a0985b545d636908deb232f716c">z_rotation_</a>;</div>
<div class="line"><a name="l00224"></a><span class="lineno">  224</span>&#160; </div>
<div class="line"><a name="l00231"></a><span class="lineno"><a class="line" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a694fd1200f95c4e8c1fcb0bfe30ab711">  231</a></span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a694fd1200f95c4e8c1fcb0bfe30ab711">show_OX_axis_</a>;</div>
<div class="line"><a name="l00232"></a><span class="lineno">  232</span>&#160; </div>
<div class="line"><a name="l00239"></a><span class="lineno"><a class="line" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a6e6dbfa4c5d4ee81ef83afc1b4ad1be4">  239</a></span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a6e6dbfa4c5d4ee81ef83afc1b4ad1be4">show_OY_axis_</a>;</div>
<div class="line"><a name="l00240"></a><span class="lineno">  240</span>&#160; </div>
<div class="line"><a name="l00247"></a><span class="lineno"><a class="line" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a436e59363f312d5a98548526ced023ca">  247</a></span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a436e59363f312d5a98548526ced023ca">show_OZ_axis_</a>;</div>
<div class="line"><a name="l00248"></a><span class="lineno">  248</span>&#160; </div>
<div class="line"><a name="l00263"></a><span class="lineno">  263</span>&#160;    <span class="keyword">virtual</span> <span class="keywordtype">bool</span> <a class="code" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a0e0854467fcaf528a04a32e1e4e3fa37">AddFilesToDrawCommand</a>(std::string &amp;command, <span class="keywordtype">char</span> <span class="keyword">const</span> **separator);</div>
<div class="line"><a name="l00264"></a><span class="lineno">  264</span>&#160; </div>
<div class="line"><a name="l00276"></a><span class="lineno">  276</span>&#160;    std::string <a class="code" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#ab6bf77a1d62d351a2edb737c48d9353d">SaveRangeSettings</a>(<span class="keywordtype">char</span> axis) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00283"></a><span class="lineno">  283</span>&#160;    std::string <a class="code" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a8dccd32a85d0be08c6bd98b62281c743">SaveScaleRotationSettings</a>() <span class="keyword">const</span>;</div>
<div class="line"><a name="l00294"></a><span class="lineno">  294</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#acf0c0bf937eb87f9c14dedf2f01780bc">SendToGnuplot</a>(<span class="keyword">const</span> <span class="keywordtype">char</span> *command);</div>
<div class="line"><a name="l00304"></a><span class="lineno"><a class="line" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a7d5d83803ea886a7b056e1d7a473bb3a">  304</a></span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a7d5d83803ea886a7b056e1d7a473bb3a">AreErrorMessagesDisplayed</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> <a class="code" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#adefdb7c360e54c586b1d6bd1fa5c6eee">display_error_messages_</a>; }</div>
<div class="line"><a name="l00308"></a><span class="lineno">  308</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a81a78898b39cb0b4c79ea4f3c90bbeb5">CreateChildProcess</a>();</div>
<div class="line"><a name="l00316"></a><span class="lineno">  316</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a863bdb229a0d3e6d8d22cd5a4518d55e">ErrorMessage</a>(<span class="keyword">const</span> <span class="keywordtype">char</span> *message) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00317"></a><span class="lineno">  317</span>&#160; </div>
<div class="line"><a name="l00325"></a><span class="lineno">  325</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#aa2555a85839c555480c18da5015c0b26">CreateCommandPreamble</a>(std::string &amp;preamble) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00326"></a><span class="lineno">  326</span>&#160; </div>
<div class="line"><a name="l00334"></a><span class="lineno">  334</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a562fc970535935237a32f18faf4f0b19">Create2DPreamble</a>(std::string &amp;preamble) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00335"></a><span class="lineno">  335</span>&#160; </div>
<div class="line"><a name="l00343"></a><span class="lineno">  343</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a475373e9f4e3ea655a64e7daabd56ac9">Create3DPreamble</a>(std::string &amp;preamble) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00344"></a><span class="lineno">  344</span>&#160; </div>
<div class="line"><a name="l00345"></a><span class="lineno">  345</span>&#160;   <span class="keyword">public</span>:</div>
<div class="line"><a name="l00353"></a><span class="lineno"><a class="line" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#abd99d3a72eebe5c6323be5cf4a465b34">  353</a></span>&#160;    <span class="keywordtype">void</span> <a class="code" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#abd99d3a72eebe5c6323be5cf4a465b34">show_OX_axis</a>(<span class="keywordtype">bool</span> show) { <a class="code" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a694fd1200f95c4e8c1fcb0bfe30ab711">show_OX_axis_</a> = show; }</div>
<div class="line"><a name="l00354"></a><span class="lineno">  354</span>&#160; </div>
<div class="line"><a name="l00363"></a><span class="lineno"><a class="line" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a43c8b059bbfff0addbe7ab62760c242b">  363</a></span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a43c8b059bbfff0addbe7ab62760c242b">show_OX_axis</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> <a class="code" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a694fd1200f95c4e8c1fcb0bfe30ab711">show_OX_axis_</a>; }</div>
<div class="line"><a name="l00364"></a><span class="lineno">  364</span>&#160; </div>
<div class="line"><a name="l00372"></a><span class="lineno"><a class="line" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a345cd5f032c34ffcc1e3aa16438dda82">  372</a></span>&#160;    <span class="keywordtype">void</span> <a class="code" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a345cd5f032c34ffcc1e3aa16438dda82">show_OY_axis</a>(<span class="keywordtype">bool</span> show) { <a class="code" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a6e6dbfa4c5d4ee81ef83afc1b4ad1be4">show_OY_axis_</a> = show; }</div>
<div class="line"><a name="l00373"></a><span class="lineno">  373</span>&#160; </div>
<div class="line"><a name="l00382"></a><span class="lineno"><a class="line" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a9b1c09293f8128fa970497d2effda7d3">  382</a></span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a9b1c09293f8128fa970497d2effda7d3">show_OY_axis</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> <a class="code" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a6e6dbfa4c5d4ee81ef83afc1b4ad1be4">show_OY_axis_</a>; }</div>
<div class="line"><a name="l00383"></a><span class="lineno">  383</span>&#160; </div>
<div class="line"><a name="l00391"></a><span class="lineno"><a class="line" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#ab4e8078f7c63779d5f4c21f22608d3ef">  391</a></span>&#160;    <span class="keywordtype">void</span> <a class="code" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#ab4e8078f7c63779d5f4c21f22608d3ef">show_OZ_axis</a>(<span class="keywordtype">bool</span> show) { <a class="code" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a436e59363f312d5a98548526ced023ca">show_OZ_axis_</a> = show; }</div>
<div class="line"><a name="l00392"></a><span class="lineno">  392</span>&#160; </div>
<div class="line"><a name="l00401"></a><span class="lineno"><a class="line" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#ab8f4938d56867a42b14f190a5000f8c8">  401</a></span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#ab8f4938d56867a42b14f190a5000f8c8">show_OZ_axis</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> <a class="code" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a436e59363f312d5a98548526ced023ca">show_OZ_axis_</a>; }</div>
<div class="line"><a name="l00402"></a><span class="lineno">  402</span>&#160; </div>
<div class="line"><a name="l00406"></a><span class="lineno"><a class="line" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a8817b7aee867b4ebdf493a091a32bad0">  406</a></span>&#160;    <span class="keywordtype">float</span> <a class="code" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a8817b7aee867b4ebdf493a091a32bad0">xMin</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> <a class="code" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a9ca081e311914fb07ee4c292b8090247">x_min_</a>; }</div>
<div class="line"><a name="l00410"></a><span class="lineno"><a class="line" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a4211e715251f1f90e56f5ec64c672d64">  410</a></span>&#160;    <span class="keywordtype">float</span> <a class="code" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a4211e715251f1f90e56f5ec64c672d64">Xmax</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> <a class="code" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a1f8870f0cc643c5ef931b30b40b5e282">x_max_</a>; }</div>
<div class="line"><a name="l00414"></a><span class="lineno"><a class="line" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a9a8112464c85c3a72723079c84446789">  414</a></span>&#160;    <span class="keywordtype">float</span> <a class="code" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a9a8112464c85c3a72723079c84446789">Ymin</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> <a class="code" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a31c8d2fcb350d54d09134c0f0a838aea">y_min_</a>; }</div>
<div class="line"><a name="l00418"></a><span class="lineno"><a class="line" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a7311b56e882f8bf334c1afbceb51a734">  418</a></span>&#160;    <span class="keywordtype">float</span> <a class="code" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a7311b56e882f8bf334c1afbceb51a734">Ymax</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> <a class="code" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a9fb5609ee05da82c3a5c9f94416c1ac1">y_max_</a>; }</div>
<div class="line"><a name="l00422"></a><span class="lineno"><a class="line" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a3d360b728e1c4d550f7e7253751e0f0a">  422</a></span>&#160;    <span class="keywordtype">float</span> <a class="code" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a3d360b728e1c4d550f7e7253751e0f0a">Zmin</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> <a class="code" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a3a92421a06513241d150ec36eedcfb70">z_min_</a>; }</div>
<div class="line"><a name="l00426"></a><span class="lineno"><a class="line" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a2705f7ee3528734ddcd28f2b8de9af0d">  426</a></span>&#160;    <span class="keywordtype">float</span> <a class="code" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a2705f7ee3528734ddcd28f2b8de9af0d">Zmax</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> <a class="code" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#ad16243c88647f80c0f69a6d04021dbf7">z_max_</a>; }</div>
<div class="line"><a name="l00427"></a><span class="lineno">  427</span>&#160; </div>
<div class="line"><a name="l00435"></a><span class="lineno"><a class="line" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a5b903bc69eb4c2884edbe25d53cea188">  435</a></span>&#160;    <span class="keywordtype">void</span> <a class="code" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a5b903bc69eb4c2884edbe25d53cea188">SetDrawingMode</a>(<a class="code" href="../../d2/d4b/namespace_pz_g.html#a4360c76a1dbf714a19a0d97fe56e0660">DrawingMode</a> mode) { <a class="code" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#afe3cae0470049aee3c7350f488a630b6">drawing_mode_</a> = mode; }</div>
<div class="line"><a name="l00436"></a><span class="lineno">  436</span>&#160; </div>
<div class="line"><a name="l00442"></a><span class="lineno"><a class="line" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#acbeb26baf4b1091dd9243d9cdba8f612">  442</a></span>&#160;    <a class="code" href="../../d2/d4b/namespace_pz_g.html#a4360c76a1dbf714a19a0d97fe56e0660">DrawingMode</a> <a class="code" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#acbeb26baf4b1091dd9243d9cdba8f612">GetDrawingMode</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> <a class="code" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#afe3cae0470049aee3c7350f488a630b6">drawing_mode_</a>; }</div>
<div class="line"><a name="l00443"></a><span class="lineno">  443</span>&#160; </div>
<div class="line"><a name="l00452"></a><span class="lineno"><a class="line" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a7db1d889cd30bfb23cb4af3ca4bb4ef0">  452</a></span>&#160;    <span class="keywordtype">void</span> <a class="code" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a7db1d889cd30bfb23cb4af3ca4bb4ef0">SetRangeX</a>(<span class="keywordtype">float</span> Xo, <span class="keywordtype">float</span> Xn) {</div>
<div class="line"><a name="l00453"></a><span class="lineno">  453</span>&#160;        <a class="code" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a9ca081e311914fb07ee4c292b8090247">x_min_</a> = Xo;</div>
<div class="line"><a name="l00454"></a><span class="lineno">  454</span>&#160;        <a class="code" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a1f8870f0cc643c5ef931b30b40b5e282">x_max_</a> = Xn;</div>
<div class="line"><a name="l00455"></a><span class="lineno">  455</span>&#160;    }</div>
<div class="line"><a name="l00464"></a><span class="lineno"><a class="line" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a269f721e7d49c37a842c1f65511a7d71">  464</a></span>&#160;    <span class="keywordtype">void</span> <a class="code" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a269f721e7d49c37a842c1f65511a7d71">SetRangeY</a>(<span class="keywordtype">float</span> Yo, <span class="keywordtype">float</span> Yn) {</div>
<div class="line"><a name="l00465"></a><span class="lineno">  465</span>&#160;        <a class="code" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a31c8d2fcb350d54d09134c0f0a838aea">y_min_</a> = Yo;</div>
<div class="line"><a name="l00466"></a><span class="lineno">  466</span>&#160;        <a class="code" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a9fb5609ee05da82c3a5c9f94416c1ac1">y_max_</a> = Yn;</div>
<div class="line"><a name="l00467"></a><span class="lineno">  467</span>&#160;    }</div>
<div class="line"><a name="l00476"></a><span class="lineno"><a class="line" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a6cb4123fb2cbe459a747c2a1c1f94770">  476</a></span>&#160;    <span class="keywordtype">void</span> <a class="code" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a6cb4123fb2cbe459a747c2a1c1f94770">SetRangeZ</a>(<span class="keywordtype">float</span> Zo, <span class="keywordtype">float</span> Zn) {</div>
<div class="line"><a name="l00477"></a><span class="lineno">  477</span>&#160;        <a class="code" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a3a92421a06513241d150ec36eedcfb70">z_min_</a> = Zo;</div>
<div class="line"><a name="l00478"></a><span class="lineno">  478</span>&#160;        <a class="code" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#ad16243c88647f80c0f69a6d04021dbf7">z_max_</a> = Zn;</div>
<div class="line"><a name="l00479"></a><span class="lineno">  479</span>&#160;    }</div>
<div class="line"><a name="l00480"></a><span class="lineno">  480</span>&#160; </div>
<div class="line"><a name="l00486"></a><span class="lineno"><a class="line" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a1ffc96315a688f5ed0cd9d772ae1a1df">  486</a></span>&#160;    <span class="keywordtype">float</span> <a class="code" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a1ffc96315a688f5ed0cd9d772ae1a1df">ScaleX</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> <a class="code" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a725cf4ed098148a0e9b10ed94023757a">x_scale_</a>; }</div>
<div class="line"><a name="l00492"></a><span class="lineno"><a class="line" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#ac8f652a7f9a44568b00069e63ffdaa2e">  492</a></span>&#160;    <span class="keywordtype">float</span> <a class="code" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#ac8f652a7f9a44568b00069e63ffdaa2e">ScaleZ</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> <a class="code" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a9926edcec6c7080a35f62c050f2773dc">z_scale_</a>; }</div>
<div class="line"><a name="l00499"></a><span class="lineno"><a class="line" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a70d30fdb78dad112f96963a55f69e279">  499</a></span>&#160;    <span class="keywordtype">void</span> <a class="code" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a70d30fdb78dad112f96963a55f69e279">SetScaleX</a>(<span class="keywordtype">float</span> x_scale) { <a class="code" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a725cf4ed098148a0e9b10ed94023757a">x_scale_</a> = x_scale; }</div>
<div class="line"><a name="l00506"></a><span class="lineno"><a class="line" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#adb266ff0cb6bc916dcb12b6bd168ba14">  506</a></span>&#160;    <span class="keywordtype">void</span> <a class="code" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#adb266ff0cb6bc916dcb12b6bd168ba14">SetScaleZ</a>(<span class="keywordtype">float</span> z_scale) { <a class="code" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a9926edcec6c7080a35f62c050f2773dc">z_scale_</a> = z_scale; }</div>
<div class="line"><a name="l00514"></a><span class="lineno"><a class="line" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a922cef9903317477051890311f6f4dec">  514</a></span>&#160;    <span class="keywordtype">void</span> <a class="code" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a922cef9903317477051890311f6f4dec">SetScaleXZ</a>(<span class="keywordtype">float</span> x_scale, <span class="keywordtype">float</span> z_scale) {</div>
<div class="line"><a name="l00515"></a><span class="lineno">  515</span>&#160;        <a class="code" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a70d30fdb78dad112f96963a55f69e279">SetScaleX</a>(x_scale);</div>
<div class="line"><a name="l00516"></a><span class="lineno">  516</span>&#160;        <a class="code" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#adb266ff0cb6bc916dcb12b6bd168ba14">SetScaleZ</a>(z_scale);</div>
<div class="line"><a name="l00517"></a><span class="lineno">  517</span>&#160;    }</div>
<div class="line"><a name="l00518"></a><span class="lineno">  518</span>&#160; </div>
<div class="line"><a name="l00523"></a><span class="lineno"><a class="line" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a93c58deadc1c9bb9b85a5fa51d5d946a">  523</a></span>&#160;    <span class="keywordtype">float</span> <a class="code" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a93c58deadc1c9bb9b85a5fa51d5d946a">RotationX</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> <a class="code" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#ae105dcd466bbc10f0b70ed753e0c2e4e">x_rotation_</a>; }</div>
<div class="line"><a name="l00528"></a><span class="lineno"><a class="line" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#aa734824e9997fb565da289791f03d149">  528</a></span>&#160;    <span class="keywordtype">float</span> <a class="code" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#aa734824e9997fb565da289791f03d149">RotationZ</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> <a class="code" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#ae7ae9a0985b545d636908deb232f716c">z_rotation_</a>; }</div>
<div class="line"><a name="l00537"></a><span class="lineno"><a class="line" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#ace414a178fc745111344ce2390e363b7">  537</a></span>&#160;    <span class="keywordtype">void</span> <a class="code" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#ace414a178fc745111344ce2390e363b7">SetRotationX</a>(<span class="keywordtype">float</span> x_angle) { <a class="code" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#ae105dcd466bbc10f0b70ed753e0c2e4e">x_rotation_</a> = x_angle; }</div>
<div class="line"><a name="l00546"></a><span class="lineno"><a class="line" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a2d72e30d46e7fb61fbf70f2ea5c0d0a5">  546</a></span>&#160;    <span class="keywordtype">void</span> <a class="code" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a2d72e30d46e7fb61fbf70f2ea5c0d0a5">SetRotationZ</a>(<span class="keywordtype">float</span> z_angle) { <a class="code" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#ae7ae9a0985b545d636908deb232f716c">z_rotation_</a> = z_angle; }</div>
<div class="line"><a name="l00560"></a><span class="lineno"><a class="line" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#ae1019984feb2a9cef9c8b41eec65ee97">  560</a></span>&#160;    <span class="keywordtype">void</span> <a class="code" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#ae1019984feb2a9cef9c8b41eec65ee97">SetRotationXZ</a>(<span class="keywordtype">float</span> x_angle, <span class="keywordtype">float</span> z_angle) {</div>
<div class="line"><a name="l00561"></a><span class="lineno">  561</span>&#160;        <a class="code" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#ace414a178fc745111344ce2390e363b7">SetRotationX</a>(x_angle);</div>
<div class="line"><a name="l00562"></a><span class="lineno">  562</span>&#160;        <a class="code" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a2d72e30d46e7fb61fbf70f2ea5c0d0a5">SetRotationZ</a>(z_angle);</div>
<div class="line"><a name="l00563"></a><span class="lineno">  563</span>&#160;    }</div>
<div class="line"><a name="l00564"></a><span class="lineno">  564</span>&#160; </div>
<div class="line"><a name="l00575"></a><span class="lineno">  575</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a9c8f23498ce784bd4f62583163e9c065">ShowErrorMessages</a>(<span class="keywordtype">bool</span> mode = <span class="keyword">true</span>);</div>
<div class="line"><a name="l00599"></a><span class="lineno">  599</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a795ee974694d79694496e09d668eb562">AddFilename</a>(<span class="keyword">const</span> <span class="keywordtype">char</span> *filename,</div>
<div class="line"><a name="l00600"></a><span class="lineno">  600</span>&#160;                     <a class="code" href="../../d2/d4b/namespace_pz_g.html#ab0580cdb6bfe9e51d7de2588bc824076">LineStyle</a> style = <a class="code" href="../../d2/d4b/namespace_pz_g.html#ab0580cdb6bfe9e51d7de2588bc824076af8f97c84dadf8eaa1f0370861e15dfec">LS_CONTINUOUS</a>,</div>
<div class="line"><a name="l00601"></a><span class="lineno">  601</span>&#160;                     <span class="keywordtype">int</span> width = 1);</div>
<div class="line"><a name="l00602"></a><span class="lineno">  602</span>&#160; </div>
<div class="line"><a name="l00606"></a><span class="lineno">  606</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a8f6eb81e4b1324d338a13de9fe692583">AddDrawingFromFiles</a>(std::string &amp;command, <span class="keywordtype">char</span> <span class="keyword">const</span> **separator);</div>
<div class="line"><a name="l00607"></a><span class="lineno">  607</span>&#160; </div>
<div class="line"><a name="l00615"></a><span class="lineno">  615</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a23e53f7a9d3ca945545f9292c55a7c96">IsConnectionInitialized</a>() <span class="keyword">const</span>;</div>
<div class="line"><a name="l00616"></a><span class="lineno">  616</span>&#160; </div>
<div class="line"><a name="l00633"></a><span class="lineno">  633</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a96321ba10f7ee9c5f55dd17a28143a39">Draw</a>();</div>
<div class="line"><a name="l00657"></a><span class="lineno">  657</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a77b3776f569733b570681190b12d1891">DrawToFile</a>(<span class="keyword">const</span> <span class="keywordtype">char</span> *filename);</div>
<div class="line"><a name="l00672"></a><span class="lineno">  672</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a7f9c65c2319f35f1b7663ba0ad461d14">Init</a>();</div>
<div class="line"><a name="l00678"></a><span class="lineno">  678</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#acd96e1e3a99df66cfd68971f9974661f">DeleteLastName</a>();</div>
<div class="line"><a name="l00684"></a><span class="lineno">  684</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#aa0e5912cf21d3e4ebaedfc4d473f1008">DeleteAllNames</a>();</div>
<div class="line"><a name="l00685"></a><span class="lineno">  685</span>&#160; </div>
<div class="line"><a name="l00686"></a><span class="lineno">  686</span>&#160;    <a class="code" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#aa140852169cf67df9c565c33a45bff75">GnuplotLink</a>();</div>
<div class="line"><a name="l00687"></a><span class="lineno">  687</span>&#160;    <span class="keyword">virtual</span> <a class="code" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#adba8f71e0828a077757dae54918c0b45">~GnuplotLink</a>();</div>
<div class="line"><a name="l00688"></a><span class="lineno">  688</span>&#160;};</div>
<div class="line"><a name="l00689"></a><span class="lineno">  689</span>&#160; </div>
<div class="line"><a name="l00690"></a><span class="lineno"><a class="line" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a0e0854467fcaf528a04a32e1e4e3fa37">  690</a></span>&#160;<span class="keyword">inline</span> <span class="keywordtype">bool</span> <a class="code" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a0e0854467fcaf528a04a32e1e4e3fa37">GnuplotLink::AddFilesToDrawCommand</a>(std::string &amp;, <span class="keywordtype">char</span> <span class="keyword">const</span> **) { <span class="keywordflow">return</span> <span class="keyword">true</span>; }</div>
<div class="line"><a name="l00691"></a><span class="lineno">  691</span>&#160; </div>
<div class="line"><a name="l00692"></a><span class="lineno">  692</span>&#160;}  <span class="comment">// namespace PzG</span></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<div class="ttc" id="aclass_pz_g_1_1_gnuplot_link_html_a8dccd32a85d0be08c6bd98b62281c743"><div class="ttname"><a href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a8dccd32a85d0be08c6bd98b62281c743">PzG::GnuplotLink::SaveScaleRotationSettings</a></div><div class="ttdeci">std::string SaveScaleRotationSettings() const</div><div class="ttdoc">Tworzy polecenie ustawiające punkt obserwacji.</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d54/gnuplot__link_8cpp_source.html#l00385">gnuplot_link.cpp:385</a></div></div>
<div class="ttc" id="aclass_pz_g_1_1_gnuplot_link_html_ae105dcd466bbc10f0b70ed753e0c2e4e"><div class="ttname"><a href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#ae105dcd466bbc10f0b70ed753e0c2e4e">PzG::GnuplotLink::x_rotation_</a></div><div class="ttdeci">float x_rotation_</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d35/gnuplot__link_8hh_source.html#l00218">gnuplot_link.hh:218</a></div></div>
<div class="ttc" id="anamespace_pz_g_html_ab0580cdb6bfe9e51d7de2588bc824076a6495216b6a84a9fbe7141a687f9c03f1"><div class="ttname"><a href="../../d2/d4b/namespace_pz_g.html#ab0580cdb6bfe9e51d7de2588bc824076a6495216b6a84a9fbe7141a687f9c03f1">PzG::LS_SCATTERED</a></div><div class="ttdeci">@ LS_SCATTERED</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d35/gnuplot__link_8hh_source.html#l00049">gnuplot_link.hh:49</a></div></div>
<div class="ttc" id="aclass_pz_g_1_1_gnuplot_link_html_a345cd5f032c34ffcc1e3aa16438dda82"><div class="ttname"><a href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a345cd5f032c34ffcc1e3aa16438dda82">PzG::GnuplotLink::show_OY_axis</a></div><div class="ttdeci">void show_OY_axis(bool show)</div><div class="ttdoc">Umożliwia lub zabrania rysowania osi OY.</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d35/gnuplot__link_8hh_source.html#l00372">gnuplot_link.hh:372</a></div></div>
<div class="ttc" id="anamespace_pz_g_html_a4360c76a1dbf714a19a0d97fe56e0660"><div class="ttname"><a href="../../d2/d4b/namespace_pz_g.html#a4360c76a1dbf714a19a0d97fe56e0660">PzG::DrawingMode</a></div><div class="ttdeci">DrawingMode</div><div class="ttdoc">Określa tryb rysowania realizowanego przez program gnuplot.</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d35/gnuplot__link_8hh_source.html#l00041">gnuplot_link.hh:41</a></div></div>
<div class="ttc" id="aclass_pz_g_1_1_gnuplot_link_html_a475373e9f4e3ea655a64e7daabd56ac9"><div class="ttname"><a href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a475373e9f4e3ea655a64e7daabd56ac9">PzG::GnuplotLink::Create3DPreamble</a></div><div class="ttdeci">void Create3DPreamble(std::string &amp;preamble) const</div><div class="ttdoc">Tworzy preambułę poprzedzającą polecenie rysowania w trybie 3D.</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d54/gnuplot__link_8cpp_source.html#l00339">gnuplot_link.cpp:339</a></div></div>
<div class="ttc" id="aclass_pz_g_1_1_gnuplot_link_html_a6e6dbfa4c5d4ee81ef83afc1b4ad1be4"><div class="ttname"><a href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a6e6dbfa4c5d4ee81ef83afc1b4ad1be4">PzG::GnuplotLink::show_OY_axis_</a></div><div class="ttdeci">bool show_OY_axis_</div><div class="ttdoc">Czy oś OY ma być widoczna.</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d35/gnuplot__link_8hh_source.html#l00239">gnuplot_link.hh:239</a></div></div>
<div class="ttc" id="aclass_pz_g_1_1_gnuplot_link_html_ad16243c88647f80c0f69a6d04021dbf7"><div class="ttname"><a href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#ad16243c88647f80c0f69a6d04021dbf7">PzG::GnuplotLink::z_max_</a></div><div class="ttdeci">float z_max_</div><div class="ttdoc">Górny zakres wyświetlanej skali skali dla osi OZ.</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d35/gnuplot__link_8hh_source.html#l00203">gnuplot_link.hh:203</a></div></div>
<div class="ttc" id="aclass_pz_g_1_1_gnuplot_link_html_acf0c0bf937eb87f9c14dedf2f01780bc"><div class="ttname"><a href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#acf0c0bf937eb87f9c14dedf2f01780bc">PzG::GnuplotLink::SendToGnuplot</a></div><div class="ttdeci">bool SendToGnuplot(const char *command)</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d54/gnuplot__link_8cpp_source.html#l00033">gnuplot_link.cpp:33</a></div></div>
<div class="ttc" id="anamespace_pz_g_html_ab0580cdb6bfe9e51d7de2588bc824076af8f97c84dadf8eaa1f0370861e15dfec"><div class="ttname"><a href="../../d2/d4b/namespace_pz_g.html#ab0580cdb6bfe9e51d7de2588bc824076af8f97c84dadf8eaa1f0370861e15dfec">PzG::LS_CONTINUOUS</a></div><div class="ttdeci">@ LS_CONTINUOUS</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d35/gnuplot__link_8hh_source.html#l00048">gnuplot_link.hh:48</a></div></div>
<div class="ttc" id="aclass_pz_g_1_1_gnuplot_link_html_a8817b7aee867b4ebdf493a091a32bad0"><div class="ttname"><a href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a8817b7aee867b4ebdf493a091a32bad0">PzG::GnuplotLink::xMin</a></div><div class="ttdeci">float xMin() const</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d35/gnuplot__link_8hh_source.html#l00406">gnuplot_link.hh:406</a></div></div>
<div class="ttc" id="aclass_pz_g_1_1_gnuplot_link_html_a5b903bc69eb4c2884edbe25d53cea188"><div class="ttname"><a href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a5b903bc69eb4c2884edbe25d53cea188">PzG::GnuplotLink::SetDrawingMode</a></div><div class="ttdeci">void SetDrawingMode(DrawingMode mode)</div><div class="ttdoc">Zmienia tryb rysowania.</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d35/gnuplot__link_8hh_source.html#l00435">gnuplot_link.hh:435</a></div></div>
<div class="ttc" id="aclass_pz_g_1_1_gnuplot_link_html_aa734824e9997fb565da289791f03d149"><div class="ttname"><a href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#aa734824e9997fb565da289791f03d149">PzG::GnuplotLink::RotationZ</a></div><div class="ttdeci">float RotationZ() const</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d35/gnuplot__link_8hh_source.html#l00528">gnuplot_link.hh:528</a></div></div>
<div class="ttc" id="aclass_pz_g_1_1_gnuplot_link_html_a9fb5609ee05da82c3a5c9f94416c1ac1"><div class="ttname"><a href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a9fb5609ee05da82c3a5c9f94416c1ac1">PzG::GnuplotLink::y_max_</a></div><div class="ttdeci">float y_max_</div><div class="ttdoc">Górny zakres wyświetlanej skali skali dla osi OY.</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d35/gnuplot__link_8hh_source.html#l00191">gnuplot_link.hh:191</a></div></div>
<div class="ttc" id="aclass_pz_g_1_1_gnuplot_link_html_adba8f71e0828a077757dae54918c0b45"><div class="ttname"><a href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#adba8f71e0828a077757dae54918c0b45">PzG::GnuplotLink::~GnuplotLink</a></div><div class="ttdeci">virtual ~GnuplotLink()</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d54/gnuplot__link_8cpp_source.html#l00031">gnuplot_link.cpp:31</a></div></div>
<div class="ttc" id="aclass_pz_g_1_1_gnuplot_link_html_a9a8112464c85c3a72723079c84446789"><div class="ttname"><a href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a9a8112464c85c3a72723079c84446789">PzG::GnuplotLink::Ymin</a></div><div class="ttdeci">float Ymin() const</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d35/gnuplot__link_8hh_source.html#l00414">gnuplot_link.hh:414</a></div></div>
<div class="ttc" id="aclass_pz_g_1_1_file_info_html_a04f77a755e72bcf379844b15d9f0f3ed"><div class="ttname"><a href="../../d4/d97/class_pz_g_1_1_file_info.html#a04f77a755e72bcf379844b15d9f0f3ed">PzG::FileInfo::filename_</a></div><div class="ttdeci">std::string filename_</div><div class="ttdoc">Nazwa pliku z danymi do rysowania.</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d35/gnuplot__link_8hh_source.html#l00101">gnuplot_link.hh:101</a></div></div>
<div class="ttc" id="aclass_pz_g_1_1_file_info_html_a02c728f892c6f169b738adac8ed9d5f1"><div class="ttname"><a href="../../d4/d97/class_pz_g_1_1_file_info.html#a02c728f892c6f169b738adac8ed9d5f1">PzG::FileInfo::SetFilename</a></div><div class="ttdeci">void SetFilename(const std::string &amp;filename)</div><div class="ttdoc">Zmienia nazwę pliku do rysowania.</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d35/gnuplot__link_8hh_source.html#l00081">gnuplot_link.hh:81</a></div></div>
<div class="ttc" id="aclass_pz_g_1_1_gnuplot_link_html_a2d72e30d46e7fb61fbf70f2ea5c0d0a5"><div class="ttname"><a href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a2d72e30d46e7fb61fbf70f2ea5c0d0a5">PzG::GnuplotLink::SetRotationZ</a></div><div class="ttdeci">void SetRotationZ(float z_angle)</div><div class="ttdoc">Ustawia rotację wokół osi OZ.</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d35/gnuplot__link_8hh_source.html#l00546">gnuplot_link.hh:546</a></div></div>
<div class="ttc" id="aclass_pz_g_1_1_gnuplot_link_html_a3a92421a06513241d150ec36eedcfb70"><div class="ttname"><a href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a3a92421a06513241d150ec36eedcfb70">PzG::GnuplotLink::z_min_</a></div><div class="ttdeci">float z_min_</div><div class="ttdoc">Dolny zakres wyświetlanej skali skali dla osi OZ.</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d35/gnuplot__link_8hh_source.html#l00197">gnuplot_link.hh:197</a></div></div>
<div class="ttc" id="aclass_pz_g_1_1_gnuplot_link_html_a436e59363f312d5a98548526ced023ca"><div class="ttname"><a href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a436e59363f312d5a98548526ced023ca">PzG::GnuplotLink::show_OZ_axis_</a></div><div class="ttdeci">bool show_OZ_axis_</div><div class="ttdoc">Czy oś OZ ma być widoczna.</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d35/gnuplot__link_8hh_source.html#l00247">gnuplot_link.hh:247</a></div></div>
<div class="ttc" id="aclass_pz_g_1_1_gnuplot_link_html_a31c8d2fcb350d54d09134c0f0a838aea"><div class="ttname"><a href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a31c8d2fcb350d54d09134c0f0a838aea">PzG::GnuplotLink::y_min_</a></div><div class="ttdeci">float y_min_</div><div class="ttdoc">Dolny zakres wyświetlanej skali skali dla osi OY.</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d35/gnuplot__link_8hh_source.html#l00185">gnuplot_link.hh:185</a></div></div>
<div class="ttc" id="aclass_pz_g_1_1_gnuplot_link_html_a4211e715251f1f90e56f5ec64c672d64"><div class="ttname"><a href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a4211e715251f1f90e56f5ec64c672d64">PzG::GnuplotLink::Xmax</a></div><div class="ttdeci">float Xmax() const</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d35/gnuplot__link_8hh_source.html#l00410">gnuplot_link.hh:410</a></div></div>
<div class="ttc" id="aclass_pz_g_1_1_gnuplot_link_html_aa2555a85839c555480c18da5015c0b26"><div class="ttname"><a href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#aa2555a85839c555480c18da5015c0b26">PzG::GnuplotLink::CreateCommandPreamble</a></div><div class="ttdeci">void CreateCommandPreamble(std::string &amp;preamble) const</div><div class="ttdoc">Tworzy preambułę poprzedzającą polecenie rysowania.</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d54/gnuplot__link_8cpp_source.html#l00315">gnuplot_link.cpp:315</a></div></div>
<div class="ttc" id="aclass_pz_g_1_1_gnuplot_link_html_af4b03524d7d1ccb3f09524217048ef5d"><div class="ttname"><a href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#af4b03524d7d1ccb3f09524217048ef5d">PzG::GnuplotLink::files_information_</a></div><div class="ttdeci">static std::list&lt; FileInfo &gt; files_information_</div><div class="ttdoc">Lista nazw plików z danymi dla gnuplota.</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d35/gnuplot__link_8hh_source.html#l00135">gnuplot_link.hh:135</a></div></div>
<div class="ttc" id="aclass_pz_g_1_1_gnuplot_link_html_a9c8f23498ce784bd4f62583163e9c065"><div class="ttname"><a href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a9c8f23498ce784bd4f62583163e9c065">PzG::GnuplotLink::ShowErrorMessages</a></div><div class="ttdeci">void ShowErrorMessages(bool mode=true)</div><div class="ttdoc">Zezwala lub zabrania wyświetlania komunikatów.</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d54/gnuplot__link_8cpp_source.html#l00027">gnuplot_link.cpp:27</a></div></div>
<div class="ttc" id="aclass_pz_g_1_1_file_info_html_a25d23a5d9986ebb89edbd01185a26f10"><div class="ttname"><a href="../../d4/d97/class_pz_g_1_1_file_info.html#a25d23a5d9986ebb89edbd01185a26f10">PzG::FileInfo::GetFilename</a></div><div class="ttdeci">const std::string GetFilename() const</div><div class="ttdoc">Udostępia nazwę pliku do rysowania.</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d35/gnuplot__link_8hh_source.html#l00075">gnuplot_link.hh:75</a></div></div>
<div class="ttc" id="aclass_pz_g_1_1_gnuplot_link_html_afe3cae0470049aee3c7350f488a630b6"><div class="ttname"><a href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#afe3cae0470049aee3c7350f488a630b6">PzG::GnuplotLink::drawing_mode_</a></div><div class="ttdeci">DrawingMode drawing_mode_</div><div class="ttdoc">Określa aktualny tryb rysowania.</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d35/gnuplot__link_8hh_source.html#l00167">gnuplot_link.hh:167</a></div></div>
<div class="ttc" id="aclass_pz_g_1_1_gnuplot_link_html_a795ee974694d79694496e09d668eb562"><div class="ttname"><a href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a795ee974694d79694496e09d668eb562">PzG::GnuplotLink::AddFilename</a></div><div class="ttdeci">bool AddFilename(const char *filename, LineStyle style=LS_CONTINUOUS, int width=1)</div><div class="ttdoc">Dodaje nazwę pliku.</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d54/gnuplot__link_8cpp_source.html#l00083">gnuplot_link.cpp:83</a></div></div>
<div class="ttc" id="aclass_pz_g_1_1_gnuplot_link_html_a269f721e7d49c37a842c1f65511a7d71"><div class="ttname"><a href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a269f721e7d49c37a842c1f65511a7d71">PzG::GnuplotLink::SetRangeY</a></div><div class="ttdeci">void SetRangeY(float Yo, float Yn)</div><div class="ttdoc">Ustawia zakres osi OY.</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d35/gnuplot__link_8hh_source.html#l00464">gnuplot_link.hh:464</a></div></div>
<div class="ttc" id="aclass_pz_g_1_1_gnuplot_link_html_a9ca081e311914fb07ee4c292b8090247"><div class="ttname"><a href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a9ca081e311914fb07ee4c292b8090247">PzG::GnuplotLink::x_min_</a></div><div class="ttdeci">float x_min_</div><div class="ttdoc">Dolny zakres wyświetlanej skali skali dla osi OX.</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d35/gnuplot__link_8hh_source.html#l00173">gnuplot_link.hh:173</a></div></div>
<div class="ttc" id="aclass_pz_g_1_1_gnuplot_link_html_a43c8b059bbfff0addbe7ab62760c242b"><div class="ttname"><a href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a43c8b059bbfff0addbe7ab62760c242b">PzG::GnuplotLink::show_OX_axis</a></div><div class="ttdeci">bool show_OX_axis() const</div><div class="ttdoc">Czy oś OX ma być rysowana.</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d35/gnuplot__link_8hh_source.html#l00363">gnuplot_link.hh:363</a></div></div>
<div class="ttc" id="aclass_pz_g_1_1_gnuplot_link_html_adefdb7c360e54c586b1d6bd1fa5c6eee"><div class="ttname"><a href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#adefdb7c360e54c586b1d6bd1fa5c6eee">PzG::GnuplotLink::display_error_messages_</a></div><div class="ttdeci">bool display_error_messages_</div><div class="ttdoc">Decyduje czy mają być wyświetlane komunikaty o błędach, czy też nie.</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d35/gnuplot__link_8hh_source.html#l00156">gnuplot_link.hh:156</a></div></div>
<div class="ttc" id="aclass_pz_g_1_1_gnuplot_link_html_a1ffc96315a688f5ed0cd9d772ae1a1df"><div class="ttname"><a href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a1ffc96315a688f5ed0cd9d772ae1a1df">PzG::GnuplotLink::ScaleX</a></div><div class="ttdeci">float ScaleX() const</div><div class="ttdoc">Udostępnia skalę dla osi OX.</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d35/gnuplot__link_8hh_source.html#l00486">gnuplot_link.hh:486</a></div></div>
<div class="ttc" id="aclass_pz_g_1_1_file_info_html_a1a1d3ea502a2604eec731ca50a2b438f"><div class="ttname"><a href="../../d4/d97/class_pz_g_1_1_file_info.html#a1a1d3ea502a2604eec731ca50a2b438f">PzG::FileInfo::width_</a></div><div class="ttdeci">int width_</div><div class="ttdoc">Szerokość użytego piórka.</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d35/gnuplot__link_8hh_source.html#l00108">gnuplot_link.hh:108</a></div></div>
<div class="ttc" id="aclass_pz_g_1_1_gnuplot_link_html_a9926edcec6c7080a35f62c050f2773dc"><div class="ttname"><a href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a9926edcec6c7080a35f62c050f2773dc">PzG::GnuplotLink::z_scale_</a></div><div class="ttdeci">float z_scale_</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d35/gnuplot__link_8hh_source.html#l00213">gnuplot_link.hh:213</a></div></div>
<div class="ttc" id="aclass_pz_g_1_1_gnuplot_link_html_a3d360b728e1c4d550f7e7253751e0f0a"><div class="ttname"><a href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a3d360b728e1c4d550f7e7253751e0f0a">PzG::GnuplotLink::Zmin</a></div><div class="ttdeci">float Zmin() const</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d35/gnuplot__link_8hh_source.html#l00422">gnuplot_link.hh:422</a></div></div>
<div class="ttc" id="aclass_pz_g_1_1_gnuplot_link_html_ab8f4938d56867a42b14f190a5000f8c8"><div class="ttname"><a href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#ab8f4938d56867a42b14f190a5000f8c8">PzG::GnuplotLink::show_OZ_axis</a></div><div class="ttdeci">bool show_OZ_axis() const</div><div class="ttdoc">Czy oś OZ ma być rysowana.</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d35/gnuplot__link_8hh_source.html#l00401">gnuplot_link.hh:401</a></div></div>
<div class="ttc" id="aclass_pz_g_1_1_gnuplot_link_html_adb266ff0cb6bc916dcb12b6bd168ba14"><div class="ttname"><a href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#adb266ff0cb6bc916dcb12b6bd168ba14">PzG::GnuplotLink::SetScaleZ</a></div><div class="ttdeci">void SetScaleZ(float z_scale)</div><div class="ttdoc">Zadaje skalę wzdłuż osi OZ.</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d35/gnuplot__link_8hh_source.html#l00506">gnuplot_link.hh:506</a></div></div>
<div class="ttc" id="anamespace_pz_g_html"><div class="ttname"><a href="../../d2/d4b/namespace_pz_g.html">PzG</a></div><div class="ttdoc">Moduł narzędzi umożliwiających połącznie z GNUPlotem.</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d35/gnuplot__link_8hh_source.html#l00024">gnuplot_link.hh:24</a></div></div>
<div class="ttc" id="aclass_pz_g_1_1_gnuplot_link_html_a2705f7ee3528734ddcd28f2b8de9af0d"><div class="ttname"><a href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a2705f7ee3528734ddcd28f2b8de9af0d">PzG::GnuplotLink::Zmax</a></div><div class="ttdeci">float Zmax() const</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d35/gnuplot__link_8hh_source.html#l00426">gnuplot_link.hh:426</a></div></div>
<div class="ttc" id="aclass_pz_g_1_1_gnuplot_link_html_ab4e8078f7c63779d5f4c21f22608d3ef"><div class="ttname"><a href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#ab4e8078f7c63779d5f4c21f22608d3ef">PzG::GnuplotLink::show_OZ_axis</a></div><div class="ttdeci">void show_OZ_axis(bool show)</div><div class="ttdoc">Umożliwia lub zabrania rysowania osi OZ.</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d35/gnuplot__link_8hh_source.html#l00391">gnuplot_link.hh:391</a></div></div>
<div class="ttc" id="aclass_pz_g_1_1_file_info_html_a9141a03aee9840ebe103e4b1b6fa5c9b"><div class="ttname"><a href="../../d4/d97/class_pz_g_1_1_file_info.html#a9141a03aee9840ebe103e4b1b6fa5c9b">PzG::FileInfo::style_</a></div><div class="ttdeci">LineStyle style_</div><div class="ttdoc">Sposób rysowania danej linii.</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d35/gnuplot__link_8hh_source.html#l00114">gnuplot_link.hh:114</a></div></div>
<div class="ttc" id="anamespace_pz_g_html_a4360c76a1dbf714a19a0d97fe56e0660aa7ef207217913b87d83fdf559d8368c7"><div class="ttname"><a href="../../d2/d4b/namespace_pz_g.html#a4360c76a1dbf714a19a0d97fe56e0660aa7ef207217913b87d83fdf559d8368c7">PzG::DM_3D</a></div><div class="ttdeci">@ DM_3D</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d35/gnuplot__link_8hh_source.html#l00042">gnuplot_link.hh:42</a></div></div>
<div class="ttc" id="aclass_pz_g_1_1_gnuplot_link_html_aa0e5912cf21d3e4ebaedfc4d473f1008"><div class="ttname"><a href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#aa0e5912cf21d3e4ebaedfc4d473f1008">PzG::GnuplotLink::DeleteAllNames</a></div><div class="ttdeci">void DeleteAllNames()</div><div class="ttdoc">Kasuje zawartość listy nazw plików.</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d54/gnuplot__link_8cpp_source.html#l00403">gnuplot_link.cpp:403</a></div></div>
<div class="ttc" id="aclass_pz_g_1_1_gnuplot_link_html_a3ba099cef3e84aab2d3d0f7e99661cca"><div class="ttname"><a href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a3ba099cef3e84aab2d3d0f7e99661cca">PzG::GnuplotLink::gnuplot_output_</a></div><div class="ttdeci">int gnuplot_output_</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d35/gnuplot__link_8hh_source.html#l00146">gnuplot_link.hh:146</a></div></div>
<div class="ttc" id="aclass_pz_g_1_1_gnuplot_link_html_a7311b56e882f8bf334c1afbceb51a734"><div class="ttname"><a href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a7311b56e882f8bf334c1afbceb51a734">PzG::GnuplotLink::Ymax</a></div><div class="ttdeci">float Ymax() const</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d35/gnuplot__link_8hh_source.html#l00418">gnuplot_link.hh:418</a></div></div>
<div class="ttc" id="aclass_pz_g_1_1_gnuplot_link_html_a23e53f7a9d3ca945545f9292c55a7c96"><div class="ttname"><a href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a23e53f7a9d3ca945545f9292c55a7c96">PzG::GnuplotLink::IsConnectionInitialized</a></div><div class="ttdeci">bool IsConnectionInitialized() const</div><div class="ttdoc">Informuje, czy połączenie z gnuplot'em jest zainicjalizowane.</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d54/gnuplot__link_8cpp_source.html#l00102">gnuplot_link.cpp:102</a></div></div>
<div class="ttc" id="aclass_pz_g_1_1_gnuplot_link_html_a70d30fdb78dad112f96963a55f69e279"><div class="ttname"><a href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a70d30fdb78dad112f96963a55f69e279">PzG::GnuplotLink::SetScaleX</a></div><div class="ttdeci">void SetScaleX(float x_scale)</div><div class="ttdoc">Zadaje skalę wzdłuż osi OZ.</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d35/gnuplot__link_8hh_source.html#l00499">gnuplot_link.hh:499</a></div></div>
<div class="ttc" id="aclass_pz_g_1_1_gnuplot_link_html_a694fd1200f95c4e8c1fcb0bfe30ab711"><div class="ttname"><a href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a694fd1200f95c4e8c1fcb0bfe30ab711">PzG::GnuplotLink::show_OX_axis_</a></div><div class="ttdeci">bool show_OX_axis_</div><div class="ttdoc">Czy oś OX ma być widoczna.</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d35/gnuplot__link_8hh_source.html#l00231">gnuplot_link.hh:231</a></div></div>
<div class="ttc" id="aclass_pz_g_1_1_gnuplot_link_html_a863bdb229a0d3e6d8d22cd5a4518d55e"><div class="ttname"><a href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a863bdb229a0d3e6d8d22cd5a4518d55e">PzG::GnuplotLink::ErrorMessage</a></div><div class="ttdeci">void ErrorMessage(const char *message) const</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d54/gnuplot__link_8cpp_source.html#l00106">gnuplot_link.cpp:106</a></div></div>
<div class="ttc" id="aclass_pz_g_1_1_gnuplot_link_html_a725cf4ed098148a0e9b10ed94023757a"><div class="ttname"><a href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a725cf4ed098148a0e9b10ed94023757a">PzG::GnuplotLink::x_scale_</a></div><div class="ttdeci">float x_scale_</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d35/gnuplot__link_8hh_source.html#l00208">gnuplot_link.hh:208</a></div></div>
<div class="ttc" id="aclass_pz_g_1_1_file_info_html_aa8a3328daf9365064a98a0dc67f128b8"><div class="ttname"><a href="../../d4/d97/class_pz_g_1_1_file_info.html#aa8a3328daf9365064a98a0dc67f128b8">PzG::FileInfo::GetStyle</a></div><div class="ttdeci">LineStyle GetStyle() const</div><div class="ttdoc">Udostępnia sposób rysowanej linii.</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d35/gnuplot__link_8hh_source.html#l00087">gnuplot_link.hh:87</a></div></div>
<div class="ttc" id="aclass_pz_g_1_1_gnuplot_link_html_a7db1d889cd30bfb23cb4af3ca4bb4ef0"><div class="ttname"><a href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a7db1d889cd30bfb23cb4af3ca4bb4ef0">PzG::GnuplotLink::SetRangeX</a></div><div class="ttdeci">void SetRangeX(float Xo, float Xn)</div><div class="ttdoc">Ustawia zakres osi OX.</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d35/gnuplot__link_8hh_source.html#l00452">gnuplot_link.hh:452</a></div></div>
<div class="ttc" id="aclass_pz_g_1_1_gnuplot_link_html_a96321ba10f7ee9c5f55dd17a28143a39"><div class="ttname"><a href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a96321ba10f7ee9c5f55dd17a28143a39">PzG::GnuplotLink::Draw</a></div><div class="ttdeci">bool Draw()</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d54/gnuplot__link_8cpp_source.html#l00290">gnuplot_link.cpp:290</a></div></div>
<div class="ttc" id="aclass_pz_g_1_1_gnuplot_link_html_ae7ae9a0985b545d636908deb232f716c"><div class="ttname"><a href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#ae7ae9a0985b545d636908deb232f716c">PzG::GnuplotLink::z_rotation_</a></div><div class="ttdeci">float z_rotation_</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d35/gnuplot__link_8hh_source.html#l00223">gnuplot_link.hh:223</a></div></div>
<div class="ttc" id="aclass_pz_g_1_1_gnuplot_link_html_a1f8870f0cc643c5ef931b30b40b5e282"><div class="ttname"><a href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a1f8870f0cc643c5ef931b30b40b5e282">PzG::GnuplotLink::x_max_</a></div><div class="ttdeci">float x_max_</div><div class="ttdoc">Górny zakres wyświetlanej skali skali dla osi OX.</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d35/gnuplot__link_8hh_source.html#l00179">gnuplot_link.hh:179</a></div></div>
<div class="ttc" id="aclass_pz_g_1_1_gnuplot_link_html"><div class="ttname"><a href="../../df/df9/class_pz_g_1_1_gnuplot_link.html">PzG::GnuplotLink</a></div><div class="ttdoc">Klasa realizuje interfejs do programu GNUPlot.</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d35/gnuplot__link_8hh_source.html#l00125">gnuplot_link.hh:125</a></div></div>
<div class="ttc" id="aclass_pz_g_1_1_file_info_html"><div class="ttname"><a href="../../d4/d97/class_pz_g_1_1_file_info.html">PzG::FileInfo</a></div><div class="ttdoc">Zestaw informacji dotyczący pliku i sposobu rysowania.</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d35/gnuplot__link_8hh_source.html#l00057">gnuplot_link.hh:57</a></div></div>
<div class="ttc" id="aclass_pz_g_1_1_gnuplot_link_html_a81a78898b39cb0b4c79ea4f3c90bbeb5"><div class="ttname"><a href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a81a78898b39cb0b4c79ea4f3c90bbeb5">PzG::GnuplotLink::CreateChildProcess</a></div><div class="ttdeci">bool CreateChildProcess()</div><div class="ttdoc">Uruchamia program gnuplot jako proces potomny.</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d54/gnuplot__link_8cpp_source.html#l00132">gnuplot_link.cpp:132</a></div></div>
<div class="ttc" id="aclass_pz_g_1_1_gnuplot_link_html_a8b04a557aacb13f62a46bd0cd1233119"><div class="ttname"><a href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a8b04a557aacb13f62a46bd0cd1233119">PzG::GnuplotLink::gnuplot_input_</a></div><div class="ttdeci">int gnuplot_input_</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d35/gnuplot__link_8hh_source.html#l00141">gnuplot_link.hh:141</a></div></div>
<div class="ttc" id="aclass_pz_g_1_1_gnuplot_link_html_a7d5d83803ea886a7b056e1d7a473bb3a"><div class="ttname"><a href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a7d5d83803ea886a7b056e1d7a473bb3a">PzG::GnuplotLink::AreErrorMessagesDisplayed</a></div><div class="ttdeci">bool AreErrorMessagesDisplayed() const</div><div class="ttdoc">Udostępnia informację czy mają być wyświetlane informacje o błędach.</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d35/gnuplot__link_8hh_source.html#l00304">gnuplot_link.hh:304</a></div></div>
<div class="ttc" id="aclass_pz_g_1_1_gnuplot_link_html_a93c58deadc1c9bb9b85a5fa51d5d946a"><div class="ttname"><a href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a93c58deadc1c9bb9b85a5fa51d5d946a">PzG::GnuplotLink::RotationX</a></div><div class="ttdeci">float RotationX() const</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d35/gnuplot__link_8hh_source.html#l00523">gnuplot_link.hh:523</a></div></div>
<div class="ttc" id="aclass_pz_g_1_1_file_info_html_a09603738e0fbc8d6dadda905a5e947d7"><div class="ttname"><a href="../../d4/d97/class_pz_g_1_1_file_info.html#a09603738e0fbc8d6dadda905a5e947d7">PzG::FileInfo::FileInfo</a></div><div class="ttdeci">FileInfo(std::string filename, LineStyle style, int width)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d35/gnuplot__link_8hh_source.html#l00065">gnuplot_link.hh:65</a></div></div>
<div class="ttc" id="aclass_pz_g_1_1_gnuplot_link_html_ab6bf77a1d62d351a2edb737c48d9353d"><div class="ttname"><a href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#ab6bf77a1d62d351a2edb737c48d9353d">PzG::GnuplotLink::SaveRangeSettings</a></div><div class="ttdeci">std::string SaveRangeSettings(char axis) const</div><div class="ttdoc">Tworzy polecenie ustawiające zakres dla danej współrzędnej.</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d54/gnuplot__link_8cpp_source.html#l00360">gnuplot_link.cpp:360</a></div></div>
<div class="ttc" id="aclass_pz_g_1_1_gnuplot_link_html_ace414a178fc745111344ce2390e363b7"><div class="ttname"><a href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#ace414a178fc745111344ce2390e363b7">PzG::GnuplotLink::SetRotationX</a></div><div class="ttdeci">void SetRotationX(float x_angle)</div><div class="ttdoc">Ustawia rotację wokół osi OX.</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d35/gnuplot__link_8hh_source.html#l00537">gnuplot_link.hh:537</a></div></div>
<div class="ttc" id="aclass_pz_g_1_1_gnuplot_link_html_abd99d3a72eebe5c6323be5cf4a465b34"><div class="ttname"><a href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#abd99d3a72eebe5c6323be5cf4a465b34">PzG::GnuplotLink::show_OX_axis</a></div><div class="ttdeci">void show_OX_axis(bool show)</div><div class="ttdoc">Umożliwia lub zabrania rysowania osi OX.</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d35/gnuplot__link_8hh_source.html#l00353">gnuplot_link.hh:353</a></div></div>
<div class="ttc" id="aclass_pz_g_1_1_gnuplot_link_html_acd96e1e3a99df66cfd68971f9974661f"><div class="ttname"><a href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#acd96e1e3a99df66cfd68971f9974661f">PzG::GnuplotLink::DeleteLastName</a></div><div class="ttdeci">void DeleteLastName()</div><div class="ttdoc">Usuwa ostatnią nazwę pliku.</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d54/gnuplot__link_8cpp_source.html#l00395">gnuplot_link.cpp:395</a></div></div>
<div class="ttc" id="aclass_pz_g_1_1_gnuplot_link_html_aa140852169cf67df9c565c33a45bff75"><div class="ttname"><a href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#aa140852169cf67df9c565c33a45bff75">PzG::GnuplotLink::GnuplotLink</a></div><div class="ttdeci">GnuplotLink()</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d54/gnuplot__link_8cpp_source.html#l00048">gnuplot_link.cpp:48</a></div></div>
<div class="ttc" id="aclass_pz_g_1_1_gnuplot_link_html_a922cef9903317477051890311f6f4dec"><div class="ttname"><a href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a922cef9903317477051890311f6f4dec">PzG::GnuplotLink::SetScaleXZ</a></div><div class="ttdeci">void SetScaleXZ(float x_scale, float z_scale)</div><div class="ttdoc">Zadaje skalę wzdłuż osi OX i OZ.</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d35/gnuplot__link_8hh_source.html#l00514">gnuplot_link.hh:514</a></div></div>
<div class="ttc" id="aclass_pz_g_1_1_gnuplot_link_html_ae1019984feb2a9cef9c8b41eec65ee97"><div class="ttname"><a href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#ae1019984feb2a9cef9c8b41eec65ee97">PzG::GnuplotLink::SetRotationXZ</a></div><div class="ttdeci">void SetRotationXZ(float x_angle, float z_angle)</div><div class="ttdoc">Ustawia rotację wokół osi OX i OZ.</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d35/gnuplot__link_8hh_source.html#l00560">gnuplot_link.hh:560</a></div></div>
<div class="ttc" id="aclass_pz_g_1_1_gnuplot_link_html_a562fc970535935237a32f18faf4f0b19"><div class="ttname"><a href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a562fc970535935237a32f18faf4f0b19">PzG::GnuplotLink::Create2DPreamble</a></div><div class="ttdeci">void Create2DPreamble(std::string &amp;preamble) const</div><div class="ttdoc">Tworzy preambułę poprzedzającą polecenie rysowania w trybie 2D.</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d54/gnuplot__link_8cpp_source.html#l00326">gnuplot_link.cpp:326</a></div></div>
<div class="ttc" id="aclass_pz_g_1_1_gnuplot_link_html_a6cb4123fb2cbe459a747c2a1c1f94770"><div class="ttname"><a href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a6cb4123fb2cbe459a747c2a1c1f94770">PzG::GnuplotLink::SetRangeZ</a></div><div class="ttdeci">void SetRangeZ(float Zo, float Zn)</div><div class="ttdoc">Ustawia zakres osi OZ.</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d35/gnuplot__link_8hh_source.html#l00476">gnuplot_link.hh:476</a></div></div>
<div class="ttc" id="aclass_pz_g_1_1_gnuplot_link_html_a9b1c09293f8128fa970497d2effda7d3"><div class="ttname"><a href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a9b1c09293f8128fa970497d2effda7d3">PzG::GnuplotLink::show_OY_axis</a></div><div class="ttdeci">bool show_OY_axis() const</div><div class="ttdoc">Czy oś OY ma być rysowana.</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d35/gnuplot__link_8hh_source.html#l00382">gnuplot_link.hh:382</a></div></div>
<div class="ttc" id="aclass_pz_g_1_1_gnuplot_link_html_ac8f652a7f9a44568b00069e63ffdaa2e"><div class="ttname"><a href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#ac8f652a7f9a44568b00069e63ffdaa2e">PzG::GnuplotLink::ScaleZ</a></div><div class="ttdeci">float ScaleZ() const</div><div class="ttdoc">Udostępnia skalę dla osi OZ.</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d35/gnuplot__link_8hh_source.html#l00492">gnuplot_link.hh:492</a></div></div>
<div class="ttc" id="anamespace_pz_g_html_a4360c76a1dbf714a19a0d97fe56e0660ac85b6f8146edb5ca2df8345dd86ef039"><div class="ttname"><a href="../../d2/d4b/namespace_pz_g.html#a4360c76a1dbf714a19a0d97fe56e0660ac85b6f8146edb5ca2df8345dd86ef039">PzG::DM_2D</a></div><div class="ttdeci">@ DM_2D</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d35/gnuplot__link_8hh_source.html#l00041">gnuplot_link.hh:41</a></div></div>
<div class="ttc" id="aclass_pz_g_1_1_gnuplot_link_html_acbeb26baf4b1091dd9243d9cdba8f612"><div class="ttname"><a href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#acbeb26baf4b1091dd9243d9cdba8f612">PzG::GnuplotLink::GetDrawingMode</a></div><div class="ttdeci">DrawingMode GetDrawingMode() const</div><div class="ttdoc">Udostępnia aktualny tryb rysowania.</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d35/gnuplot__link_8hh_source.html#l00442">gnuplot_link.hh:442</a></div></div>
<div class="ttc" id="aclass_pz_g_1_1_gnuplot_link_html_a0e0854467fcaf528a04a32e1e4e3fa37"><div class="ttname"><a href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a0e0854467fcaf528a04a32e1e4e3fa37">PzG::GnuplotLink::AddFilesToDrawCommand</a></div><div class="ttdeci">virtual bool AddFilesToDrawCommand(std::string &amp;command, char const **separator)</div><div class="ttdoc">Tworzy listę parametrów umożliwiających rysowanie dodatkowych elementów.</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d35/gnuplot__link_8hh_source.html#l00690">gnuplot_link.hh:690</a></div></div>
<div class="ttc" id="aclass_pz_g_1_1_gnuplot_link_html_a77b3776f569733b570681190b12d1891"><div class="ttname"><a href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a77b3776f569733b570681190b12d1891">PzG::GnuplotLink::DrawToFile</a></div><div class="ttdeci">bool DrawToFile(const char *filename)</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d54/gnuplot__link_8cpp_source.html#l00211">gnuplot_link.cpp:211</a></div></div>
<div class="ttc" id="aclass_pz_g_1_1_gnuplot_link_html_a7f9c65c2319f35f1b7663ba0ad461d14"><div class="ttname"><a href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a7f9c65c2319f35f1b7663ba0ad461d14">PzG::GnuplotLink::Init</a></div><div class="ttdeci">bool Init()</div><div class="ttdoc">Inicjalizuje połączenie z programem gnuplot.</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d54/gnuplot__link_8cpp_source.html#l00113">gnuplot_link.cpp:113</a></div></div>
<div class="ttc" id="aclass_pz_g_1_1_gnuplot_link_html_a8f6eb81e4b1324d338a13de9fe692583"><div class="ttname"><a href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#a8f6eb81e4b1324d338a13de9fe692583">PzG::GnuplotLink::AddDrawingFromFiles</a></div><div class="ttdeci">bool AddDrawingFromFiles(std::string &amp;command, char const **separator)</div><div class="ttdoc">Tworzy listę parametrów umożliwiających rysowanie brył z plików.</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d54/gnuplot__link_8cpp_source.html#l00252">gnuplot_link.cpp:252</a></div></div>
<div class="ttc" id="anamespace_pz_g_html_ab0580cdb6bfe9e51d7de2588bc824076"><div class="ttname"><a href="../../d2/d4b/namespace_pz_g.html#ab0580cdb6bfe9e51d7de2588bc824076">PzG::LineStyle</a></div><div class="ttdeci">LineStyle</div><div class="ttdoc">Sposób rysowania linii.</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d35/gnuplot__link_8hh_source.html#l00048">gnuplot_link.hh:48</a></div></div>
<div class="ttc" id="aclass_pz_g_1_1_file_info_html_a336ec97881b709c3bf01d2f27c124e78"><div class="ttname"><a href="../../d4/d97/class_pz_g_1_1_file_info.html#a336ec97881b709c3bf01d2f27c124e78">PzG::FileInfo::GetWidth</a></div><div class="ttdeci">int GetWidth() const</div><div class="ttdoc">Udostępnia informację o szerokości linii.</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d35/gnuplot__link_8hh_source.html#l00093">gnuplot_link.hh:93</a></div></div>
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_167790342fb55959539d550b874be046.html">project</a></li><li class="navelem"><a class="el" href="../../dir_0e6a83f483eb86bac30676662de98147.html">inc</a></li><li class="navelem"><a class="el" href="../../d8/d35/gnuplot__link_8hh.html">gnuplot_link.hh</a></li>
    <li class="footer">Wygenerowano przez
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="../../doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
